variable "project_id" {
  type = string
}

variable "region" {
  type = string
}

### Network & Subnetwork
variable "vpc_network_name" {
  type = string
}
variable "vpc_subnetwork_name" {
  type = string
}
variable "vpc_private_ip_address_name" {
  type    = string
  default = "vpc-private-ip-gke"
}

### Firewall
variable "fw_http_name" {
  type    = string
  default = "fw-vpc-allow-http"
}
variable "fw_https_name" {
  type    = string
  default = "fw-vpc-allow-https"
}
variable "fw_ssh_name" {
  type    = string
  default = "fw-vpc-allow-ssh-from-iap"
}

### Router & Cloud NAT
variable "router_name" {
  type    = string
  default = "router-vpc-name"
}
variable "cloud_nat_name" {
  type    = string
  default = "cloud-nat-vpc-name"
}

### Kubernetes Cluster & Node Pool
variable "cluster_name" {
  type    = string
  default = "gke"
}
variable "node_pool_name" {
  type    = string
  default = "gke-preemptible-nodes"
}

### Cloud SQL
variable "cloud_sql_name" {
  type    = string
  default = "cloudsql-gke"
}
